Package org.eclipse.handly.ui

# Class PartListenerAdapter

java.lang.Object
org.eclipse.handly.ui.PartListenerAdapter

All Implemented Interfaces:
  `org.eclipse.ui.IPartListener`

public class PartListenerAdapter extends Object implements org.eclipse.ui.IPartListener
Provides default implementations for the methods of `IPartListener`.

Clients may extend this class and override only the methods which they are interested in.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `partActivated(org.eclipse.ui.IWorkbenchPart part)`
  `void`
  `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
  `void`
  `partClosed(org.eclipse.ui.IWorkbenchPart part)`
  `void`
  `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
  `void`
  `partOpened(org.eclipse.ui.IWorkbenchPart part)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartListenerAdapter

    public PartListenerAdapter()

- ## Method Details

  - ### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPart part)
    Specified by:
      `partOpened` in interface `org.eclipse.ui.IPartListener`

  - ### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPart part)
    Specified by:
      `partClosed` in interface `org.eclipse.ui.IPartListener`

  - ### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPart part)
    Specified by:
      `partActivated` in interface `org.eclipse.ui.IPartListener`

  - ### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)
    Specified by:
      `partDeactivated` in interface `org.eclipse.ui.IPartListener`

  - ### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)
    Specified by:
      `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`